/*
 * Class TO_SPECIAL [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_341 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_341 [] = {0xFF01,237,340,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_341 [] = {0xFF01,340,194,0xFFFF};
static const EIF_TYPE_INDEX egt_3_341 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_341 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_341 [] = {0xFF01,340,194,0xFFFF};
static const EIF_TYPE_INDEX egt_6_341 [] = {0xFF01,340,194,0xFFFF};
static const EIF_TYPE_INDEX egt_7_341 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_341 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_341 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_341 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_341 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_341 [] = {340,194,0xFFFF};
static const EIF_TYPE_INDEX egt_13_341 [] = {0xFF01,340,194,0xFFFF};
static const EIF_TYPE_INDEX egt_14_341 [] = {0xFF01,324,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_341 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_341 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_341 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_341[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_341), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_341), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_341), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_341), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_341), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_341), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_341), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_341), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_341), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_341), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_341), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_341), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_341), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_341), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_341), 4930, 0},
	{EIF_GENERIC(NULL), 4931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4932, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_341), 4933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_341), 4934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4936, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4937, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_341), -1, 0xFFFFFFFF},
};
void Init341(void)
{
	IDSC(desc_341, 0, 340);
	IDSC(desc_341 + 1, 1, 340);
	IDSC(desc_341 + 32, 81, 340);
}


#ifdef __cplusplus
}
#endif
